"""
PySide stub files generated by **IceSpringPySideStubs**

Home: https://baijifeilong.github.io/2022/01/06/ice-spring-pyside-stubs/index.html

Github: https://github.com/baijifeilong/IceSpringPySideStubs

PyPI(PySide2): https://pypi.org/project/IceSpringPySideStubs-PySide2

PyPI(PySide6): https://pypi.org/project/IceSpringPySideStubs-PySide6

Generated by BaiJiFeiLong@gmail.com

Licence: GPLv3
"""
from enum import Enum
from typing import overload
import PySide6.QtCore
import PySide6.QtGui
import PySide6.QtWidgets

bytes = str


class QStyleOptionTabBarBase(PySide6.QtWidgets.QStyleOption):
    """
    https://doc.qt.io/qt-6/qstyleoptiontabbarbase.html

    **Detailed Description**

    QStyleOptionTabBarBase contains all the information that **QStyle**
    functions need to draw the tab bar base. Note that this is only drawn for a
    standalone **QTabBar**  (one that isn't part of a **QTabWidget** ).

    For performance reasons, there are few member functions and the access to
    the member variables is direct (i.e., using the `.` or `->` operator). This
    makes the structures straightforward to use and emphasizes that these are
    simply parameters used by the style functions.

    For an example demonstrating how style options can be used, see the
    **Styles**  example.

    **See also** **QStyleOption**  and **QTabBar::drawBase** ().
    """

    Type: QStyleOptionTabBarBase.StyleOptionType = ...
    Version: QStyleOptionTabBarBase.StyleOptionVersion = ...

    class StyleOptionType(Enum):
        Type: QStyleOptionTabBarBase.StyleOptionType = ...

    class StyleOptionVersion(Enum):
        Version: QStyleOptionTabBarBase.StyleOptionVersion = ...

    @overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-6/qstyleoptiontabbarbase.html#QStyleOptionTabBarBas
        e

        **QStyleOptionTabBarBase::QStyleOptionTabBarBase()**

        Construct a QStyleOptionTabBarBase, initializing the members variables
        to their default values.
        """
        ...

    @overload
    def __init__(self, other: PySide6.QtWidgets.QStyleOptionTabBarBase) -> None:
        """
        https://doc.qt.io/qt-6/qstyleoptiontabbarbase.html#QStyleOptionTabBarBas
        e-1

        **QStyleOptionTabBarBase::QStyleOptionTabBarBase(const
        QStyleOptionTabBarBase & other )**

        Constructs a copy of **other**.
        """
        ...

    @overload
    def __init__(self, version: int) -> None:
        """
        https://doc.qt.io/qt-6/qstyleoptiontabbarbase.html#QStyleOptionTabBarBas
        e

        **QStyleOptionTabBarBase::QStyleOptionTabBarBase()**

        Construct a QStyleOptionTabBarBase, initializing the members variables
        to their default values.
        """
        ...
